{
    attributes = (
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            columnName = "MIA_ID"; 
            externalType = NUMBER; 
            name = miaId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "MIN_ID"; 
            externalType = NUMBER; 
            name = minId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PERS_ID"; 
            externalType = NUMBER; 
            name = persId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (miaId); 
    className = "org.cocktail.fwkcktlhamac.serveur.metier.EOMessageInterneAccuse"; 
    classProperties = (dCreation, dModification, persId, toMessageInterne, tosIndividu, tosStructure); 
    externalName = "HAMAC.MESSAGE_INTERNE_ACCUSE"; 
    fetchSpecificationDictionary = {}; 
    name = MessageInterneAccuse; 
    primaryKeyAttributes = (miaId); 
    relationships = (
        {
            destination = MessageInterne; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = minId; sourceAttribute = minId; }); 
            name = toMessageInterne; 
        }, 
        {
            destination = "Fwkpers_Individu"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persId; }); 
            name = tosIndividu; 
        }, 
        {
            destination = "Fwkpers_Structure"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persId; }); 
            name = tosStructure; 
        }
    ); 
}
